Media

Archive project media assets for deletion

POST
/api/projects/{projectId}/media/deletion-requests

Authorization

headerAuthorizationBearer <Postdot API key>

A user-owned Postdot API key sent as Authorization: Bearer <token>. Its project scope is limited by the creator’s current access.

Path Parameters

projectId*string
Length1 <= length

Request Body

  1. body
assetIds*array<>
Items1 <= items <= 1000

Response Body

Response for status 200

application/json
  1. response
deletions*array<>
Items1 <= items
Example Request
curl -X POST 'https://postbot.example/api/projects/string/media/deletion-requests' \
  -H 'Content-Type: application/json' \
  -d '{
  "assetIds": [
    "string"
  ]
}'
Example Response
{
  "deletions": [
    {
      "assetId": "string",
      "status": "deletion_requested"
    }
  ]
}

Was this page helpful?